[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.Down

Indicates if the button has been set to the Down state.

## Declaration

Source position: buttons.pp line 418

`public property TCustomSpeedButton.Down : Boolean read FDown write SetDown default False;`

## Description

Down is a Boolean property which indicates whether the button control is in the down (or pressed) state. The default value for the property is False. Changing the value for the property causes the control to be redrawn.

The value in Down is toggled in the DialogChar method when ShowAccelChar has been enabled and the accelerator key in Caption is received for the control. This also calls the Click method to execute the OnClick event handler or the action for the control.

Down is used in the UpdateState method, along with GroupIndex and MouseInControl, to determine the current TButtonState for the control.